## dzl-preferences-page dzl-preferences-page |

## Functions

void | dzl_preferences_page_add_group ()
DzlPreferencesGroup * | dzl_preferences_page_get_group ()
void | dzl_preferences_page_refilter ()
void | dzl_preferences_page_set_map ()

## Properties

gint | priority | Read / Write

## Types and Values

#define | DZL_TYPE_PREFERENCES_PAGE
| DzlPreferencesPage

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── DzlPreferencesPage

## Implemented Interfaces

DzlPreferencesPage implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### dzl_preferences_page_add_group ()

    void
    dzl_preferences_page_add_group (DzlPreferencesPage *self,
                                    DzlPreferencesGroup *group);

### dzl_preferences_page_get_group ()

    DzlPreferencesGroup *
    dzl_preferences_page_get_group (DzlPreferencesPage *self,
                                    const gchar *group_name);

#### Returns

An DzlPreferencesGroup or `NULL`.

[transfer none][nullable]

### dzl_preferences_page_refilter ()

    void
    dzl_preferences_page_refilter (DzlPreferencesPage *self,
                                   DzlPatternSpec *spec);

### dzl_preferences_page_set_map ()

    void
    dzl_preferences_page_set_map (DzlPreferencesPage *self,
                                  GHashTable *map);

## Types and Values

### DZL_TYPE_PREFERENCES_PAGE

    #define DZL_TYPE_PREFERENCES_PAGE (dzl_preferences_page_get_type())

### DzlPreferencesPage

    typedef struct _DzlPreferencesPage DzlPreferencesPage;

## Property Details

### The `“priority”` property

      “priority”                 gint

Priority.

Flags: Read / Write

Default value: 0